My Oracle Support Banner

Not Able To Approve PO If VDATE Is Greater Than Not Before Date Using XOrder (Doc ID 2604310.1)

Last updated on MAY 18, 2020

Applies to:

Oracle Retail Merchandising System - Version 15.0.1 to 15.0.3 [Release 15.0]
Information in this document applies to any platform.

Symptoms

It is not possible to approve PO through XOrder API if VDATE is greater than not before date.

Steps To Reproduce:


  1. Create a PO and approve it through XOrder API.
  2. Wait until VDATE is greater than PO Not Before Date.
  3. Modify the PO (Items or quantities) and submit it for approval through XOrder API.
 
Result: Error "Not Before Date must not be earlier than today."

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.